package com.ice.structure.Decorator;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-10-29 19:46:46
 */
public class UseUDP extends TransportLayer{
    public UseUDP(Datagram appData) {
        super(appData);
    }

    private void addHeader() {
        System.out.print("Appdata add UDP header, ");
    }

    public void send() {
        addHeader();
        appData.send();
    }
}
